#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%bcond		test		0
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python-packaging
Version		:	21.3
Release		:	14.4.0.0%{?dist}
Summary		:	Core utilities for Python packages
Group		:	Development/Languages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	Apache and BSD
URL		:	https://github.com/pypa/packaging/releases

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%(basename %{__python})
BuildRequires	:	python-build
BuildRequires	:	python-installer
BuildRequires	:	python-wheel

%if %{with test}
BuildRequires	:	python-flit-core
BuildRequires	:	python-pep517
%endif

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
Python packages manager

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)
%doc LICENSE* README.rst
%{python3_sitelib}/%{sname}/py.typed
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
